package com.bonus.common.core.enums;

public enum AttStatus {
    未("0"),
    正("1"),
    迟("2"),
    旷("3"),
    退("4"),
    补("5"),
    假("6"),
    临时外出("7"),
    出入异常("8"),
    打卡地异常("9"),
    出差("10"),
    法("11"),
    年("12"),
    探("13"),
    事("14"),
    病("15"),
    产("16"),
    婚("17"),
    丧("18"),
    育("19"),
    陪("20"),
    流("21"),
    哺("22"),
    节("23"),
    护("24"),
    其他("25")

    ;

    private String code;

    AttStatus(String code) {
        this.code = code;
    }

    // 根据 code 获取对应的考勤状态
    public static AttStatus getByCode(String code) {
        for (AttStatus status : values()) {
            if (status.code.equals(code)) {
                return status;
            }
        }
        return null; // 如果找不到匹配的状态，可以返回 null 或者一个默认值
    }
    @Override
    public String toString() {
        // 将 "正常" 替换为 "√"
        if (this == AttStatus.正) {
            return "√";
        }else if (this == AttStatus.未){
            return "旷";
        }else if (this == AttStatus.出差){
            return "△";
        }
        return this.name();
    }
}
